{$apptype console}
{$o-,r+,q+}
uses
  sysutils, math;

type
  int = longint;

var
  n : int;
  m : int;
  k : int;
  i : int;

begin
  n := 100;
  m := 100;
  k := 300;

  writeln(n, ' ', m, ' ', k);
  for i := 1 to n do
  begin
    writeln('1 1 1 100000 100000 100000');
  end;
  
end.